<template lang="pug">
	Icon(:name="status_icon").Network-status--Icon
</template>

<script lang="ts">
import Vue from 'vue';
import Icon from '@/components/icon.vue';

export default Vue.extend({
	components: {
		Icon,
	},
	computed: {
		status_icon(this: any): string {
			const status = this.$store.getters.network_status;

			switch (status) {
				case 'online':
					return 'cloud_done';
				case 'dowloading':
					return 'cloud_download';
				case 'uploading':
					return 'cloud_upload';
				case 'offline':
				default:
					return 'cloud_off';
			}
		},
	},
});
</script>

<style lang="scss" scoped>
@import "@/assets/style/_dimensions.scss";

.Network-status--Icon {
	height: $header-height;
	line-height: $header-height;
}
</style>
